% This file generates coefficients and test data for Block_FIR.asm example


N = 63;			% Number of TAPS - 1
Pnts = 128;		% Number of Samples

Wn = 1000;		% Sample Rate
Fc = 100;		% Cutoff Frequency

freq1 = 80;		% Frequency 1 of test data
freq2 = 200;	% Frequency 2 of test data
freq3 = 370;	% Frequency 3 of test data

phase1 = pi/2;	% Phase 1 of test data
phase2 = pi/4;	% Phase 2 of test data

coeffs = fir1(N,Fc/Wn*2);

fout = fopen('coeffs.dat','w');
fprintf(fout,'%6.12f\n',coeffs(1:N+1));
fclose(fout);

data1(1:Pnts) = sin(2*pi*freq1*(0:Pnts-1)/Wn) + sin(2*pi*freq2*(0:Pnts-1)/Wn+phase1);
fout = fopen('indata1.dat','w');
fprintf(fout,'%6.12f\n',data1(1:Pnts));
fclose(fout);

data2(1:Pnts) = sin(2*pi*freq1*(0:Pnts-1)/Wn) + sin(2*pi*freq3*(0:Pnts-1)/Wn+phase2);
fout = fopen('indata2.dat','w');
fprintf(fout,'%6.12f\n',data2(1:Pnts));
fclose(fout);